Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug
Bug#: 124967
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Aaron Walker (RETIRED) <ka0ttic@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Paweł Hajdan jr <phajdan.jr@gentoo.org>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 124967 depends on: Show dependency tree
Bug 124967 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2006-03-04 09:49 0000
einfo about kompare should be printed only if kompare is not installed. It can
be done using has_version, according to
http://dev.gentoo.org/~plasmaroo/devmanual//ebuild-writing/functions/pkg_postinst/

--- kdesvn-0.7.4.ebuild.old     2006-03-04 18:44:42.000000000 +0100
+++ kdesvn-0.7.4.ebuild 2006-03-04 18:45:23.000000000 +0100
@@ -19,7 +19,7 @@
 need-kde 3.3

 pkg_postinst() {
-       echo
-       einfo "For nice graphical diffs, install kde-base/kompare."
-       echo
+       if ! has_version 'kde-base/kompare'; then
+               einfo "For nice graphical diffs, install kde-base/kompare."
+       fi
 }

------- Comment #1 From George Shapovalov 2006-06-12 08:00:48 0000 -------
The fix is in the 0.8.4 that I just added..

Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug